import type { NextApiResponse } from 'next';
import type { ErrorApiResponse, NextApiRequestWithMiddleware } from './router';
export declare type ApiErrorHandler = (req: NextApiRequestWithMiddleware, res: NextApiResponse<ErrorApiResponse>, error: Error) => void;
export declare const makeErrorHandler: (showMessage: boolean) => ApiErrorHandler;
